Bug 1586108 - [Docs] After an upgrade from 3.9 to 3.10 applications provisioned with APB's cannot be managed
Summary: [Docs] After an upgrade from 3.9 to 3.10 applications provisioned with APB's ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.0
Assignee: Alex Dellapenta
QA Contact: Zihan Tang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 14:03 UTC by Jason Montleon
Modified: 2018-08-09 20:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: During 3.10 work we added the ability for multiple instances of an APB to be invoked in same namespace, this required we rely on a GUID for each instance. Instances deployed by a 3.9 version of APB lack the GUID, 3.10 APBs require it. Consequence: With the lack of GUID a 3.10 APB is not able to manage a 3.9 deployed service, so upgrades run into issues if an application deployed with 3.9 is then deprovisioned from 3.10 APB there is an error. Workaround (if any): 2 choices exist: 1. Delete the namespace of the application and recreate after the 3.10 upgrade. This will use 3.10 version of APB and function as expected. 2. Modify the config of the Broker to stick with 3.9 version of APBs. This has the downside of after upgrade while Broker will be using 3.10 code, APBs will be using older 3.9 versions. This is not recommended. Result:
Clone Of:
Environment:
Last Closed: 2018-08-09 20:25:36 UTC


Attachments (Terms of Use)

Description Jason Montleon 2018-06-05 14:03:27 UTC
Description of problem:
After upgrading from v3.9 to v3.10 applications provisioned using a version 3.9 APB cannot be managed by a v3.10 APB

Expected results:
Applications provisioned by APB's can still be managed.

Additional info:
We need to document a couple of alternatives when this situation is encountered.

The first is that the user can delete the namespace in order to clean up the resources created by the old APB and then recreate their applications using the v3.10 APB's.

Alternatively they can:
1. Change the label on the broker-config configmap in the ansible-service-broker namespace to v3.9
2. Restart the asb pod in the ansible-service-broker namespace
3. Run 'apb bootstrap', which should bootstrap the broker, and relist the catalog. 

If this is done it will be possible to continue managing applications with the v3.9 APB's.

In the future we will work on developing the means to create applications with updated APB's while maintaining the ability to manage applications created with old APB's.

Comment 4 Zihan Tang 2018-06-07 02:28:27 UTC
The doc LGTM, verified.

Comment 5 openshift-github-bot 2018-06-07 14:40:49 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/c910d42883a177c8334c1d23b10aa235777cdd77
Merge pull request #9878 from adellape/apbknownissue

Bug 1586108: Add 3.10 APB known issue


Note You need to log in before you can comment on or make changes to this bug.